org.eclipse.handly.ui.action

## Class CompositeActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.handly.ui.action.CompositeActionGroup

-     public class CompositeActionGroup
      extends org.eclipse.ui.actions.ActionGroup

  Composes multiple action groups into one.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeActionGroup()` Creates a composite action group that is initially empty.
    `CompositeActionGroup(org.eclipse.ui.actions.ActionGroup... groups)` Creates a composition of the given action groups.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(org.eclipse.ui.actions.ActionGroup... groups)` Appends the given action groups to this composition in the specified order.
    `void` | `add(org.eclipse.ui.actions.ActionGroup group)` Appends the given action group to this composition.
    `void` | `dispose()`
    `void` | `fillActionBars(org.eclipse.ui.IActionBars actionBars)`
    `void` | `fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
    `void` | `setContext(org.eclipse.ui.actions.ActionContext context)`
    `void` | `updateActionBars()`

    - ### Methods inherited from class org.eclipse.ui.actions.ActionGroup

      `getContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeActionGroup

          public CompositeActionGroup(org.eclipse.ui.actions.ActionGroup... groups)

      Creates a composition of the given action groups. The groups will be applied in the specified order.
      Parameters:
        `groups` - the action groups to compose

    - #### CompositeActionGroup

          public CompositeActionGroup()

      Creates a composite action group that is initially empty.

  - ### Method Detail

    - #### add

          public final void add(org.eclipse.ui.actions.ActionGroup group)

      Appends the given action group to this composition.
      Parameters:
        `group` - the action group to append (not `null`)

    - #### add

          public final void add(org.eclipse.ui.actions.ActionGroup... groups)

      Appends the given action groups to this composition in the specified order.
      Parameters:
        `groups` - the action groups to append

    - #### setContext

          public void setContext(org.eclipse.ui.actions.ActionContext context)

      Overrides:
        `setContext` in class `org.eclipse.ui.actions.ActionGroup`

    - #### dispose

          public void dispose()

      Overrides:
        `dispose` in class `org.eclipse.ui.actions.ActionGroup`

    - #### fillContextMenu

          public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

      Overrides:
        `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

    - #### fillActionBars

          public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

      Overrides:
        `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

    - #### updateActionBars

          public void updateActionBars()

      Overrides:
        `updateActionBars` in class `org.eclipse.ui.actions.ActionGroup`

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0